### Class

# AppStream Branding

#### Description

    class AppStream.Branding : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_branding_new

Creates a new `AsBranding`.

since: 0.10

#### Instance methods

###### as_branding_get_color

Retrieve a color of the given `kind` that matches `scheme_kind`. If a color has no scheme preference defined, it will be returned for either scheme type, unless a more suitable color was found.

since: 0.15.2

###### as_branding_remove_color

Deletes a color that matches the given type and scheme preference.

since: 0.15.2

###### as_branding_set_color

Sets a new accent color. If a color of the given kind with the given scheme preference already exists, it will be overriden with the new color code.

since: 0.15.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamBrandingClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.